/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_CAMERADRIVINGSERVICE_CAMERADRIVINGSERVICE_COMMON_H
#define JAC_AP_CAMERADRIVINGSERVICE_CAMERADRIVINGSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "perception/impl_type_cam2camperceptionstruct.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace cameradrivingservice {

class CameraDrivingService {
public:
    constexpr CameraDrivingService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/CameraDrivingService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace cameradrivingservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_CAMERADRIVINGSERVICE_CAMERADRIVINGSERVICE_COMMON_H
